(* file mouse.ls *)
(* the mouse controler *)
(* emits double when it has receive two clicks in less than *)
(* four tops *)

open Mouse_data;;

(* count the number of events *)
let counter(res,event) = count
where rec count = if res then 0 else x
      and x = 0 -> if event then pre count + 1 else pre count
;;

let mouse(click,top) =
  let rec counting = click -> if click & not (pre counting) then true
                              else if res & pre counting then false
                                   else pre counting
  and count = counter(res,top & counting)
  and single = ((0 fby count) = 3) & top & not click
  and double = (false fby counting) & click
  and res = single or double
  in (single,double)
;;


let main() =
  let (click,top) = input() in
  let (single,double) = mouse(click,top) in
  output (single,double);;

