(* simulation file *)
open Pendulum;;
(* simulation loop: sampled on 0.100000 seconds *)
    let state = ref Nil;;
    let step x =
      let _,new_state = auto (true,true) (!state,()) in
      state := new_state;;

    let periodic() =
    let x = Unix.setitimer Unix.ITIMER_REAL 
                       {Unix.it_interval = 0.100000 ; Unix.it_value = 1.0 }
    in Sys.signal Sys.sigalrm (Sys.Signal_handle step);
    while true do ()
    done;;

    periodic();exit(0);;